View Single Post
We are updating OmniFocus to be compatible with Mac OS 10.9 (Mavericks). If you depend heavily on OmniFocus, we advise caution in upgrading to Mavericks until our update is available.


UPDATE: 1.10.5 is now available!

Last edited by Lizard; 2013-10-14 at 06:08 PM..